--- title: "Chatbot Message When Providing Possible Answer" slug: "server-api-bot-chatbot-message-when-providing-possible-answer" updated: 2022-06-16T06:41:10Z published: 2022-06-16T06:41:10Z canonical: "developer.comm100.com/server-api-bot-chatbot-message-when-providing-possible-answer" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Chatbot Message When Providing Possible Answer ## Chatbot Message When Providing Possible Answer - `Chatbot Message When Providing Possible Answer` - Chatbot Message When Providing Possible Answer Manage - `GET bot/chatbots/{id}/chatbotMessageWhenProvidingPossibleAnswer` - [Get a single Chatbot Message When Providing Possible Answer](/docs/server-api-bot-chatbot-message-when-providing-possible-answer#get-a-single-chatbot-message-when-providing-possible-answer) - `PUT bot/chatbots/{id}/chatbotMessageWhenProvidingPossibleAnswer` - [Update the Chatbot Message When Providing Possible Answer](/docs/server-api-bot-chatbot-message-when-providing-possible-answer#update-the-chatbot-message-when-providing-possible-answer) ### Chatbot Message When Providing Possible Answer JSON Format Chatbot Message When Providing Possible Answer is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `chatbotId` | guid | Id of the chatbot. | | `message` | string | The defined message which is displayed before listing the possible answers. | | `noOfSuggestions` | integer | Number of suggestions. | | `chatbot` | [chatbot](/docs/chatbot) | Reference to Chatbot. | ### Get a single Chatbot Message When Providing Possible Answer `GET bot/chatbots/{id}/chatbotMessageWhenProvidingPossibleAnswer` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed value is "chatbot". | - #### Response: [Chatbot Message When Providing Possible Answer](/docs/server-api-bot-chatbot-message-when-providing-possible-answer#chatbot-message-when-providing-possible-answer-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/bot/chatbots/e8bf0d25-eed6-4a46-a417-368e15019609/chatbotMessageWhenProvidingPossibleAnswer \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "chatbotId": "e8bf0d25-eed6-4a46-a417-368e15019609", "message": "Hmm..Do any of these topics match what you're looking for?", "noOfSuggestions": 1, "chatbot": { "id": "e8bf0d25-eed6-4a46-a417-318e15019609", "languageId": "en", "name": "Testchatbot", "thirdPartyWebhookUrl": "https://", "trainingStatus": "0", "importingStatus": "0", "highConfidenceScore": 40, "noAnswerScore": 20, "lastUpdatedTime": "2021-04-07T05:59:17.887Z", "outputAudioEncoding": "linear16", "voiceGender": "male", "ifCustomizeAvatar": false, "customizeAvatar": "", "systemAvatarId": "00000000-0000-0000-0000-000000000001", "veryNegativeScore": -8, "negativeScore": -3, "neutralScore": 2, "positiveScore": 7, "ifSentiment": false, "ifAutoTranslation": true, "engineId": "266b567c-c716-43c4-84e1-5723f5badfaf", "description": "", "thirdPartyBotId": "", "thirdPartyBotVersion": 1, "quickReplyStyles": "", "avatar": "https://api11.comm100.io/v4/Bot/chatbots/e8bf0d25-eed6-4a46-a417-318e15019609/avatar", "engine": { "id": "bbec7c36-9c72-4789-8e07-8951c22eb945", "name": "" }, "channelIds": [ "Live Chat" ] } } ``` ### Update the Chatbot Message When Providing Possible Answer `PUT bot/chatbots/{id}/chatbotMessageWhenProvidingPossibleAnswer` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `message` | string | body | yes | The defined message which is displayed before listing the possible answers. | | `noOfSuggestions` | integer | body | no | Number of suggestions. | - #### Response: [Chatbot Message When Providing Possible Answer](/docs/server-api-bot-chatbot-message-when-providing-possible-answer#chatbot-message-when-providing-possible-answer-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/bot/chatbots/e8bf0d25-eed6-4a46-a417-368e15019609/chatbotMessageWhenProvidingPossibleAnswer \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"message":"Hmm..Do any of these topics match what you're looking for?","noOfSuggestions":1}' ``` Response: HTTP/1.1 200 OK ``` { "chatbotId": "e8bf0d25-eed6-4a46-a417-368e15019609", "message": "Hmm..Do any of these topics match what you're looking for?", "noOfSuggestions": 1, "chatbot": { "id": "e8bf0d25-eed6-4a46-a417-318e15019609", "languageId": "en", "name": "Testchatbot", "thirdPartyWebhookUrl": "https://", "trainingStatus": "0", "importingStatus": "0", "highConfidenceScore": 40, "noAnswerScore": 20, "lastUpdatedTime": "2021-04-07T05:59:17.887Z", "outputAudioEncoding": "linear16", "voiceGender": "male", "ifCustomizeAvatar": false, "customizeAvatar": "", "systemAvatarId": "00000000-0000-0000-0000-000000000001", "veryNegativeScore": -8, "negativeScore": -3, "neutralScore": 2, "positiveScore": 7, "ifSentiment": false, "ifAutoTranslation": true, "engineId": "266b567c-c716-43c4-84e1-5723f5badfaf", "description": "", "thirdPartyBotId": "", "thirdPartyBotVersion": 1, "quickReplyStyles": "", "avatar": "https://api11.comm100.io/v4/Bot/chatbots/e8bf0d25-eed6-4a46-a417-318e15019609/avatar", "engine": { "id": "bbec7c36-9c72-4789-8e07-8951c22eb945", "name": "" }, "channelIds": [ "Live Chat" ] } } ```